mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

These culture type values are returned by the property, and also serve as a filter that limits the cultures returned by the method. For more information on cultures, see .

Generally, your application should enumerate all cultures, using the value. This allows enumeration of custom cultures, as well as the other culture types.

Note that the and members have been deprecated.

Defines the types of culture lists that can be retrieved using the method.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.CultureTypes To be added

  All cultures that ship with the .NET Framework, including neutral and specific cultures, cultures installed in the Windows operating system, and custom cultures created by the user.

- Field
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Globalization.CultureTypes

  This member is deprecated; using this value with returns neutral and specific cultures shipped with the previous .NET Framework.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.CultureTypes To be added

  All cultures that are installed in the Windows operating system. Note that not all cultures supported by the .NET Framework are installed in the operating system.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.CultureTypes

  Custom cultures can have any user-specified name, not just a two-letter code.

  The invariant culture is included in the array of cultures returned by the method that specifies this value.

  Cultures that are associated with a language but are not specific to a country/region. The names of .NET Framework cultures consist of the lowercase two-letter code derived from ISO 639-1. For example: "en" (English) is a neutral culture.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.CultureTypes

  Custom cultures created by the user that replace cultures shipped with the .NET Framework.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.CultureTypes

  Custom cultures can have any user-specified name, not just a standard-compliant name.

  Cultures that are specific to a country/region. The names of these cultures follow RFC 4646 (Windows Vista and later). The format is "<languagecode2>-<country/regioncode2>", where <languagecode2> is a lowercase two-letter code derived from ISO 639-1 and <country/regioncode2> is an uppercase two-letter code derived from ISO 3166. For example, "en-US" for English (United States) is a specific culture.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.CultureTypes

  Custom cultures created by the user.

- Field
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Globalization.CultureTypes

  This member is deprecated; the default behavior is set to return an empty list for backward compatibility reasons.